com.amazon.redshift.jdbc

## Interface MetadataAPIHelper.enumFunc<T extends Enum<T>>

All Known Implementing Classes:
  MetadataAPIHelper.GetCatalogs_Metadata, MetadataAPIHelper.GetColumns_Metadata, MetadataAPIHelper.GetSchemas_Metadata, MetadataAPIHelper.GetTables_Metadata

Enclosing class:
  MetadataAPIHelper

    public static interface MetadataAPIHelper.enumFunc<T extends Enum<T>>

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`

### Method Detail

#### getIndex

    int getIndex()

#### getName

    String getName()

#### getOidType

    int getOidType()